package com.kexun.controller;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.kexun.common.utils.Result;
import com.kexun.entity.CooperatorProduct;
import com.kexun.service.CooperatorProductService;
import lombok.extern.java.Log;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/admin/cooperator")
@Log
public class CooperatorProductController {

    @Autowired
    private CooperatorProductService CooperatorProductService;

    // 获取合作产品信息
    @GetMapping("cooperatorProductList")
    public Result cooperatorProductList() {
        System.out.println("aaaa");
        JSONObject resJson=new JSONObject();
        List<CooperatorProduct> list=CooperatorProductService.productList();
        resJson.put("cooperator_Product_List",list);
        System.out.println(list);

        return Result.success("ok",resJson);
    }

}
